%define upstream_name    Template-Plugin-Clickable
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Make URLs clickable in HTML 
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2


Buildrequires:  perl(Template)
Buildrequires:  perl(URI::Find)
Buildrequires:  perl(UNIVERSAL::require)
buildArch:      noarch


%description
Template::Plugin::Clickable is a plugin for TT, which allows you to filter
HTMLs clickable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 36568
- mageia rebuild
- imported package perl-Template-Plugin-Clickable


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 405532
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-4mdv2009.0
+ Revision: 258462
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-3mdv2009.0
+ Revision: 246502
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.06-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.1
+ Revision: 138894
- fix build dependencies
- Imported perl-Template-Plugin-Clickable-0.06-1mdv2007.1 into SVN repository.

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.1
- first mdv release

